#1502: Upgrade to Lucene 3.5


(phobos182) #1

I'm really looking forward to the RAM requirement changes in Lucene 3.5. Do you know when the next release of ES will be released? I believe this will require reindexing all of my documents, but I am not sure.


(Michael McCandless) #2

That RAM reduction of the terms index does not require reindexing.

Mike

http://blog.mikemccandless.com

On Mon, Nov 28, 2011 at 8:41 AM, phobos182 phobos182@gmail.com wrote:

I'm really looking forward to the RAM requirement changes in Lucene 3.5. Do
you know when the next release of ES will be released? I believe this will
require reindexing all of my documents, but I am not sure.

--
View this message in context: http://elasticsearch-users.115913.n3.nabble.com/1502-Upgrade-to-Lucene-3-5-tp3542212p3542212.html
Sent from the ElasticSearch Users mailing list archive at Nabble.com.


(Shay Banon) #3

As Mike noted, it does not require reindexing. 0.18 branch already has
Lucene 3.5, I waited a bit to get the new version of netty (the networking
lib) which fixes important bugs, and I integrated it today. So I expect a
new version (0.18.5) to be released tomorrow.

On Mon, Nov 28, 2011 at 3:41 PM, phobos182 phobos182@gmail.com wrote:

I'm really looking forward to the RAM requirement changes in Lucene 3.5. Do
you know when the next release of ES will be released? I believe this will
require reindexing all of my documents, but I am not sure.

--
View this message in context:
http://elasticsearch-users.115913.n3.nabble.com/1502-Upgrade-to-Lucene-3-5-tp3542212p3542212.html
Sent from the ElasticSearch Users mailing list archive at Nabble.com.


(system) #4